> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Tasks

> List tasks with optional filtering.



## OpenAPI

````yaml get /task/list
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /task/list:
    get:
      tags:
        - Tasks
      summary: List Tasks
      description: List tasks with optional filtering.
      operationId: list_tasks_task_list_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: page
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Page
        - name: per_page
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Per Page
        - name: sort_by
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Sort By
        - name: sort_direction
          in: query
          required: false
          schema:
            anyOf:
              - enum:
                  - asc
                  - desc
                type: string
              - type: 'null'
            title: Sort Direction
        - name: location_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Location Id
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - type: array
                items:
                  $ref: '#/components/schemas/TaskStatus'
              - type: 'null'
            description: Filter by task status(es)
            title: Status
          description: Filter by task status(es)
        - name: priority
          in: query
          required: false
          schema:
            anyOf:
              - type: array
                items:
                  $ref: '#/components/schemas/TaskPriority'
              - type: 'null'
            description: Filter by task priority(ies)
            title: Priority
          description: Filter by task priority(ies)
        - name: assignee_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by assignee provider ID
            title: Assignee Id
          description: Filter by assignee provider ID
        - name: team_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by assigned team ID
            title: Team Id
          description: Filter by assigned team ID
        - name: patient_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by linked patient ID
            title: Patient Id
          description: Filter by linked patient ID
        - name: patient_scope
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/TaskPatientScope'
              - type: 'null'
            description: >-
              Filter to patient-specific tasks (a patient is assigned) or ops
              tasks (no patient)
            title: Patient Scope
          description: >-
            Filter to patient-specific tasks (a patient is assigned) or ops
            tasks (no patient)
        - name: creator_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by task creator ID
            title: Creator Id
          description: Filter by task creator ID
        - name: subscriber_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by subscriber provider ID
            title: Subscriber Id
          description: Filter by subscriber provider ID
        - name: location_ids
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            description: >-
              Filter to tasks at these locations. Tasks with no location are
              always included.
            title: Location Ids
          description: >-
            Filter to tasks at these locations. Tasks with no location are
            always included.
        - name: call_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by call linked through an alert
            title: Call Id
          description: Filter by call linked through an alert
        - name: start_date_from
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: Filter tasks with start_date >= this value
            title: Start Date From
          description: Filter tasks with start_date >= this value
        - name: start_date_to
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: Filter tasks with start_date <= this value
            title: Start Date To
          description: Filter tasks with start_date <= this value
        - name: due_date_from
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: Filter tasks with due_date >= this value
            title: Due Date From
          description: Filter tasks with due_date >= this value
        - name: due_date_to
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: Filter tasks with due_date <= this value
            title: Due Date To
          description: Filter tasks with due_date <= this value
        - name: include_future
          in: query
          required: false
          schema:
            type: boolean
            description: Include tasks with start_date in the future
            default: false
            title: Include Future
          description: Include tasks with start_date in the future
        - name: search
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Search in task title and description
            title: Search
          description: Search in task title and description
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Page_TaskSummary_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    TaskStatus:
      type: string
      enum:
        - OPEN
        - IN_PROGRESS
        - COMPLETED
        - CANCELLED
      title: TaskStatus
    TaskPriority:
      type: string
      enum:
        - URGENT
        - HIGH
        - NORMAL
        - LOW
      title: TaskPriority
    TaskPatientScope:
      type: string
      enum:
        - PATIENT_SPECIFIC
        - OPS
      title: TaskPatientScope
      description: >-
        Separates patient-specific work (a patient is assigned) from ops work
        (none).
    Page_TaskSummary_:
      properties:
        data:
          items:
            $ref: '#/components/schemas/TaskSummary'
          type: array
          title: Data
        total:
          type: integer
          title: Total
      type: object
      required:
        - data
        - total
      title: Page[TaskSummary]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TaskSummary:
      properties:
        id:
          type: string
          title: Id
        title:
          type: string
          title: Title
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        status:
          $ref: '#/components/schemas/TaskStatus'
        priority:
          $ref: '#/components/schemas/TaskPriority'
        startDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Startdate
        dueDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Duedate
        patientId:
          anyOf:
            - type: string
            - type: 'null'
          title: Patientid
        opportunityId:
          anyOf:
            - type: string
            - type: 'null'
          title: Opportunityid
        assigneeId:
          anyOf:
            - type: string
            - type: 'null'
          title: Assigneeid
        teamId:
          anyOf:
            - type: string
            - type: 'null'
          title: Teamid
        locationId:
          anyOf:
            - type: string
            - type: 'null'
          title: Locationid
        targetNoteId:
          anyOf:
            - type: string
            - type: 'null'
          title: Targetnoteid
        targetFaxId:
          anyOf:
            - type: string
            - type: 'null'
          title: Targetfaxid
        targetDocumentId:
          anyOf:
            - type: string
            - type: 'null'
          title: Targetdocumentid
        creatorId:
          type: string
          title: Creatorid
        completedById:
          anyOf:
            - type: string
            - type: 'null'
          title: Completedbyid
        completedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completeddate
        createdDate:
          type: string
          format: date-time
          title: Createddate
        updatedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updateddate
        patient:
          anyOf:
            - $ref: '#/components/schemas/PatientRef'
            - type: 'null'
        assignee:
          anyOf:
            - $ref: '#/components/schemas/ProviderTiny'
            - type: 'null'
        team:
          anyOf:
            - $ref: '#/components/schemas/TeamRef'
            - type: 'null'
        creator:
          anyOf:
            - $ref: '#/components/schemas/ProviderTiny'
            - type: 'null'
        carePlan:
          anyOf:
            - $ref: '#/components/schemas/CarePlanStepTiny'
            - type: 'null'
      type: object
      required:
        - id
        - title
        - status
        - priority
        - creatorId
        - createdDate
      title: TaskSummary
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    PatientRef:
      properties:
        id:
          type: string
          title: Id
        firstName:
          anyOf:
            - type: string
            - type: 'null'
          title: Firstname
        lastName:
          anyOf:
            - type: string
            - type: 'null'
          title: Lastname
      type: object
      required:
        - id
      title: PatientRef
      description: Minimal patient reference for task display (id and name only).
    ProviderTiny:
      properties:
        id:
          type: string
          title: Id
        firstName:
          type: string
          title: Firstname
        lastName:
          anyOf:
            - type: string
            - type: 'null'
          title: Lastname
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
        createdDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Createddate
      type: object
      required:
        - id
        - firstName
      title: ProviderTiny
    TeamRef:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
      type: object
      required:
        - id
        - name
      title: TeamRef
      description: Minimal team reference for task display.
    CarePlanStepTiny:
      properties:
        carePlanId:
          type: string
          title: Careplanid
        stepNumber:
          type: integer
          title: Stepnumber
        carePlanName:
          type: string
          title: Careplanname
        status:
          type: string
          title: Status
      type: object
      required:
        - carePlanId
        - stepNumber
        - carePlanName
        - status
      title: CarePlanStepTiny
      description: Minimal care-plan step reference for task/event display.

````